Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# needed for building on el6


%global srcname extsprintf

Name:           nodejs-%{srcname}
Version:        1.3.0
Release:        alt1_7
Summary:        Extended POSIX-style sprintf
License:        MIT
URL:            https://github.com/davepacheco/node-extsprintf
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

%if 0%{?rhel} == 6
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%else
%endif

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n package

rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%files
%{!?_licensedir:%global license %doc}
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1_7
- new version

